GENCASE(8)

NAME
gencase - compile case mapping properties from the Unicode Character Database

SYNOPSIS
gencase [ -h, -?, --help ] [ -v, --verbose ] [ -u, --unicode version ] [ -c, --copyright ] [ -s, --sourcedir source ] [ -d, --destdir destination ] [ -i, --icudatadir path ] [ suffix ]

DESCRIPTION
gencase reads some of the Unicode Character Database files and compiles their information information into a binary form. The resulting file, ucase.icu, can then be read directly by ICU, or used by pkgdata(8) for incorporation into a larger archive or library.

The files read by gencase are described in the FILES section. If suffix is passed on the command line, the names of these files will actually be changed to include a dash followed by suffix in their basename. For example, the file UnicodeData.txt would be looked for under the name UnicodeData-suffix.txt.

OPTIONS

-h, -?, --help
    Print help about usage and exit.

-v, --verbose
    Display extra informative messages during execution.

-u, --unicode version
    Specify which version of Unicode the Unicode Character Database refers to. Defaults to 3.0.0.

-c, --copyright
    Include a copyright notice into the binary data.

-s, --sourcedir source
    Set the source directory to source. The default source directory is the current working directory.

-d, --destdir destination
    Set the destination directory to destination. The default destination directory is specified by the environment variable ICU_DATA.

-i, --icudatadir path
    Set the directory for loading ICU data files to path. The default ICU data directory is specified by the environment variable ICU_DATA.

ENVIRONMENT

ICU_DATA
    Specifies the directory containing ICU data. Defaults to /usr/local/share/icu/3.2/. Some tools in ICU depend on the presence of the trailing slash. It is thus important to make sure that it is present if ICU_DATA is set.

FILES
The following files are read by gencase and are looked for in the source directory.

UnicodeData.txt
    The main file in the Unicode Character Database. Contains character properties, combining classes information, decompositions, names, etc....

PropList.txt
    Listing of auxiliary binary character properties.

DerivedCoreProperties.txt
    Derived binary properties, generated by Unicode from other files.

SpecialCasing.txt
    List of properties required for full case mapping.

CaseFolding.txt
    Mapping from characters to their case-folded forms. (Note: this file is derived from UnicodeData.txt and SpecialCasing.txt when generated by the Unicode Consortium.)

VERSION
3.2

COPYRIGHT
Copyright (C) 2004 IBM, Inc. and others.

SEE ALSO
pkgdata(8)